//Editor's note:  
//COTD Entry:  Next Power Of 2 by Dominik Grabiec [sdgrab@eisa.net.au]

__inline int NextPow2(int Number)
{
    unsigned int RetVal = 1;
    __asm    
    {    
        xor ecx, ecx
        bsr ecx, Number
        inc ecx
        shl RetVal, cl
    }
    return(RetVal);
}